/**
 * JASMINe
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ExportRulePackagesAsXMLDelegate.as 5084 2009-08-28 09:03:19Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.rules.manager.business
{
import com.adobe.cairngorm.business.ServiceLocator;

import mx.collections.ArrayCollection;

import org.ow2.jasmine.kerneos.common.business.AbsDelegateResponder;
import org.ow2.jasmine.monitoring.eos.rules.manager.model.RuleManagerModelLocator;
import org.ow2.jasmine.monitoring.eos.rules.manager.model.domain.RuleManagerModel;
    
/**
* Calls the server side method to run the "export rule packages as XML" command
* through the right service
* 
* @author Julien Nicoulaud
*/
public class ExportRulePackagesAsXMLDelegate extends AbsDelegateResponder
                                             implements IExportRulePackagesAsXMLDelegate
{

    /**
	* Export the rule packages as XML
    */
    public function exportRulePackagesAsXML(rulePackages:ArrayCollection,
                                            ruleEngineName:String) : void
    {
        // Retrieve the component model
        var model:RuleManagerModel = 
            RuleManagerModelLocator.getInstance().ruleManagerModel;
    	
        // Retrieve the service
        var service : Object = ServiceLocator.getInstance().getRemoteObject(model.serviceName);

        // Call the service
        var call : Object = service.exportRulePackagesAsXML(rulePackages,
                                                            ruleEngineName);

        // Add the responder as a listener for the answer of the java side
        call.addResponder(this.responder);
    }

}
}
